/***
 * uGASP: an OSGi middleware dedicated to ubiquitous multiplayer gaming.
 * Copyright (C) 2008 CNAM/INT
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: gasp-team@objectweb.org
 *
 * Author: Romain Pellerin
 */
package org.ugasp.eventmodel.event.impl;

import java.util.Hashtable;

import org.ugasp.eventmodel.event.MooDSEvent;

/**
 * @author PELLERIN Romain (pellerin@cnam.fr) - MEGA Project 
 */
public class MooDSEventImpl extends EventImpl implements MooDSEvent{
	
	private Hashtable data;
	

	public MooDSEventImpl(short actorSessionID, Hashtable dataTable){
		aSID = actorSessionID;
		data = dataTable;
		code = EventsType.MooDS_EVENT_TYPE;
	}
	
	/**
	 * Returns the datas containing in the DataEvent
	 * 
	 * @return the hastable of datas
	 */
	public Hashtable getMooDSData() {
		return data;
	}

}
